package com.ruoyi.device.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备类型维护对象 device_base_type
 * 
 * @author ruoyi
 * @date 2025-05-19
 */
public class BaseType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objId;

    /** 设备类型名称 */
    @Excel(name = "设备类型名称")
    private String deviceTypeName;

    /** 默认计费价格(小时) */
    @Excel(name = "默认计费价格(小时)")
    private Double defaultPrice;

    /** 默认使用时间 */
    @Excel(name = "默认使用时间")
    private Double defaultTime;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }

    public void setDeviceTypeName(String deviceTypeName) 
    {
        this.deviceTypeName = deviceTypeName;
    }

    public String getDeviceTypeName() 
    {
        return deviceTypeName;
    }

    public void setDefaultPrice(Double defaultPrice) 
    {
        this.defaultPrice = defaultPrice;
    }

    public Double getDefaultPrice() 
    {
        return defaultPrice;
    }

    public void setDefaultTime(Double defaultTime) 
    {
        this.defaultTime = defaultTime;
    }

    public Double getDefaultTime() 
    {
        return defaultTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("deviceTypeName", getDeviceTypeName())
            .append("defaultPrice", getDefaultPrice())
            .append("defaultTime", getDefaultTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
